Skip to main content
GET
/
api
/
payments
/
stripe
/
{environment}
/
subscriptions
List Stripe Subscriptions
curl --request GET \
  --url https://api.example.com/api/payments/stripe/{environment}/subscriptions \
  --header 'Authorization: Bearer <token>'
{
  "subscriptions": [
    {
      "subscriptionId": "sub_123",
      "customerId": "cus_123",
      "subjectType": "<string>",
      "subjectId": "<string>",
      "currentPeriodStart": "2023-11-07T05:31:56Z",
      "currentPeriodEnd": "2023-11-07T05:31:56Z",
      "cancelAtPeriodEnd": true,
      "cancelAt": "2023-11-07T05:31:56Z",
      "canceledAt": "2023-11-07T05:31:56Z",
      "trialStart": "2023-11-07T05:31:56Z",
      "trialEnd": "2023-11-07T05:31:56Z",
      "latestInvoiceId": "in_123",
      "metadata": {},
      "syncedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "items": [
        {
          "subscriptionItemId": "si_123",
          "subscriptionId": "sub_123",
          "productId": "prod_123",
          "priceId": "price_123",
          "quantity": 1,
          "metadata": {},
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environment
enum<string>
required

Payment provider environment.

Available options:
test,
live

Query Parameters

subjectType
string

Billing subject type. Must be provided together with subjectId.

Required string length: 1 - 100
subjectId
string

Billing subject ID. Must be provided together with subjectType.

Required string length: 1 - 255
limit
integer
default:50

Maximum rows to return.

Required range: 1 <= x <= 100

Response

Stripe subscriptions

subscriptions
object[]
required